Bug 1272818 - [Usability] Product, Component and Subcomponent selectors should show the current selection in it's correct position within the list
[Usability] Product, Component and Subcomponent selectors should show the cur...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
: Reopened
Depends On: 1265079
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 21:38 EDT by Jason McDonald
Modified: 2015-12-15 21:13 EST (History)
6 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1373327 (view as bug list)
Environment:
Last Closed: 2015-12-15 21:13:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-10-18 21:38:34 EDT
Description of problem:
In show_bug.cgi, if you open the Product selector, the current product is shown at the top of the list rather than in its correct position within the list.

This makes it unnecessarily time-consuming to move a bug between similarly-named products.

Say I want to move a bug from Red Hat Enterprise Linux 6 to Red Hat Enterprise Linux 7 -- a common use-case for RHEL PM's and engineers.  When I open the product list, Red Hat Enterprise 6 is the first item in the list and I have to scroll down most of the list to select Red Hat Enterprise Linux 7.

If the product list opened with the current product shown in the correct position in the list, moving a bug between products would be significantly faster.

If you use Teiid to query the bug histories, you'll find that most times a bug is moved to a different product, the product names are very close to each other in the product list, e.g. between RHEL versions, between JBoss products or between oVirt products.

The same is mostly true when moving a bug between components, as the component lists for products like RHEL have many groups of components with common prefixes (e.g. gnome-*, kde-*, etc) and misfiled bugs usually at least land somewhere in the right group.

Version-Release number of selected component (if applicable):
4.4.9039

How reproducible:
Always

Steps to Reproduce:
1. Open a bug in Red Hat Enterprise Linux 6.
2. Click on the Product list to open it.

Actual results:
Red Hat Enterprise Linux 6 is at the top of the list, while Red Hat Enterprise Linux 7 is about halfway down the list.

Expected results:
Red Hat Enterprise Linux 6 and 7 are adjacent in the Product list.

Additional info:
none
Comment 1 Jeff Fearn 2015-10-18 22:45:58 EDT
This will require changes that should be up-streamed.
Comment 2 Jason McDonald 2015-10-18 23:23:29 EDT
No, this should be fixed for 4.4. It is a direct consequence of the recent BZ upgrade and is causing our users significant frustration.
Comment 3 Jeff Fearn 2015-10-19 02:51:38 EDT
(In reply to Jason McDonald from comment #0)
> Say I want to move a bug from Red Hat Enterprise Linux 6 to Red Hat
> Enterprise Linux 7 -- a common use-case for RHEL PM's and engineers.  When I
> open the product list, Red Hat Enterprise 6 is the first item in the list
> and I have to scroll down most of the list to select Red Hat Enterprise
> Linux 7.

A RHEL specific work around for this is to tab in to the field and type:

<BACKSPACE>x 7<ENTER>
Comment 4 June Zhang 2015-10-19 04:34:00 EDT
Attached a expected design sketch for it.
http://file.rdu.redhat.com/junzhang/bugzilla/bugzilla_ux_1.png


(In reply to Jason McDonald from comment #0)
> Description of problem:
> In show_bug.cgi, if you open the Product selector, the current product is
> shown at the top of the list rather than in its correct position within the
> list.
> 
> This makes it unnecessarily time-consuming to move a bug between
> similarly-named products.
> 
> Say I want to move a bug from Red Hat Enterprise Linux 6 to Red Hat
> Enterprise Linux 7 -- a common use-case for RHEL PM's and engineers.  When I
> open the product list, Red Hat Enterprise 6 is the first item in the list
> and I have to scroll down most of the list to select Red Hat Enterprise
> Linux 7.
> 
> If the product list opened with the current product shown in the correct
> position in the list, moving a bug between products would be significantly
> faster.
> 
> If you use Teiid to query the bug histories, you'll find that most times a
> bug is moved to a different product, the product names are very close to
> each other in the product list, e.g. between RHEL versions, between JBoss
> products or between oVirt products.
> 
> The same is mostly true when moving a bug between components, as the
> component lists for products like RHEL have many groups of components with
> common prefixes (e.g. gnome-*, kde-*, etc) and misfiled bugs usually at
> least land somewhere in the right group.
> 
> Version-Release number of selected component (if applicable):
> 4.4.9039
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Open a bug in Red Hat Enterprise Linux 6.
> 2. Click on the Product list to open it.
> 
> Actual results:
> Red Hat Enterprise Linux 6 is at the top of the list, while Red Hat
> Enterprise Linux 7 is about halfway down the list.
> 
> Expected results:
> Red Hat Enterprise Linux 6 and 7 are adjacent in the Product list.
> 
> Additional info:
> none
Comment 5 Rony Gong 2015-10-28 22:45:17 EDT
Tested on 
QA environment(bzperfweb01.app.qa) with version(4.4.10043-2, DB: psql)
Result: Pass
Steps:
1. Open a bug in Red Hat Enterprise Linux 6.
2. Click on the Product list to open it.
==>Red Hat Enterprise Linux 6 and 7 are adjacent in the Product list.
3. Also checked the components
Comment 6 Matt Tyson 2015-12-15 21:13:58 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.